Orgatron/Pages/Evenements/Details.cshtml.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.EntityFrameworkCore;
using Orgatron.Models;

namespace Orgatron.Pages.Evenements
{
    [Authorize(Policy = "AdminOnly")]
    public class DetailsModel : PageModel
    {
        private readonly Orgatron.Models.OrgatronContext _context;

        public DetailsModel(Orgatron.Models.OrgatronContext context)
        {
            _context = context;
        }

        public Evenement Evenement { get; set; }

        public async Task<IActionResult> OnGetAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            Evenement = await _context.Evenement.FirstOrDefaultAsync(m => m.Id == id);

            if (Evenement == null)
            {
                return NotFound();
            }
            return Page();
        }
    }
}

Orgatron/Pages/Jeux/Details.cshtml.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.EntityFrameworkCore;
using Orgatron.Models;

namespace Orgatron.Pages.Jeux
{
    public class DetailsModel : PageModel
    {
        private readonly Orgatron.Models.OrgatronContext _context;

        public DetailsModel(Orgatron.Models.OrgatronContext context)
        {
            _context = context;
        }

        public Jeu Jeu { get; set; }

        public async Task<IActionResult> OnGetAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            Jeu = await _context.Jeu.FirstOrDefaultAsync(m => m.Id == id);

            if (Jeu == null)
            {
                return NotFound();
            }
            return Page();
        }
    }
}

Orgatron/Pages/Parties/Creer.cshtml.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.AspNetCore.Mvc.Rendering;
using Microsoft.EntityFrameworkCore;
using Orgatron.Models;

namespace Orgatron.Pages.Parties
{
    public class CreateModel : PageModel
    {
        private readonly OrgatronContext _context;
        public readonly IAuthorizationService _authorizationService;

        public CreateModel(OrgatronContext context, IAuthorizationService authorizationService)
        {
            _context = context;
            _authorizationService = authorizationService;
        }

        [BindProperty]
        public InputPartieModel InputPartie { get; set; }
        public class InputPartieModel
        {
            public string EvenementId { get; set; }
            public string UserId { get; set; }
            public string JeuId { get; set; }
            public DateTime DateDebut { get; set; }
            public DateTime DateFin { get; set; }
            public string EtatPartie { get; set; }
        }

        public IEnumerable<SelectListItem> ListeJoueurs { get; set; }
        public IEnumerable<SelectListItem> ListeJeux { get; set; }

        public async Task<IActionResult> OnGetAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            Evenement evenement = await _context.Evenement.Include(p => p.Createur).FirstOrDefaultAsync(m => m.Id == id);

            var isAuthorized = await _authorizationService.AuthorizeAsync(User, evenement, "EstCreateurEvenement");
            if (!isAuthorized.Succeeded)
            {
                if (User.Identity.IsAuthenticated)
                {
                    return new ForbidResult();
                }
                else
                {
                    return new ChallengeResult();
                }
            }


            ListeJoueurs = _context.Participant.Include(p => p.User).Where(p => p.Partie.Evenement == evenement).Select(i => new SelectListItem()
            {
                Text = i.User.UserName,
                Value = i.User.Id
            });

            ListeJeux = _context.Jeu.Where(j => j.EstActif == true).Select(i => new SelectListItem()
            {
                Text = i.Nom,
                Value = i.Id.ToString()
            });

            return Page();
        }

        public async Task<IActionResult> OnPostAddPartieAsync()
        {
            Evenement evenement = await _context.Evenement.Include(p => p.Createur).FirstOrDefaultAsync(m => m.Id == Int32.Parse(InputPartie.EvenementId));

            var isAuthorized = await _authorizationService.AuthorizeAsync(User, evenement, "EstCreateurEvenement");
            if (!isAuthorized.Succeeded)
            {
                if (User.Identity.IsAuthenticated)
                {
                    return new ForbidResult();
                }
                else
                {
                    return new ChallengeResult();
                }
            }

            Partie partie = new Partie
            {
                Arbitre = _context.Users.Find(InputPartie.UserId),
                EtatArbitre = EtatInvitation.Accepted,
                DateDebut = DateTime.Now,
                DateFin = DateTime.MinValue,
                Etat = (EtatPartie)Int32.Parse(InputPartie.EtatPartie),
                Jeu = _context.Jeu.Find(Int32.Parse(InputPartie.JeuId)),
                //Pour identifier les parties créées manuellement
                DateCreation = DateTime.MinValue,
                Evenement = evenement
            };

            _context.Partie.Add(partie);

            _context.SaveChanges();

            return RedirectToPage("/Parties/Modifier", new { id = partie.Id });
        }

    }
}

Orgatron/Pages/Parties/Details.cshtml.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.EntityFrameworkCore;
using Orgatron.Models;

namespace Orgatron.Pages.Parties
{
    public class DetailsModel : PageModel
    {
        private readonly OrgatronContext _context;
        public readonly IAuthorizationService _authorizationService;

        public DetailsModel(OrgatronContext context, IAuthorizationService authorizationService)
        {
            _context = context;
            _authorizationService = authorizationService;
        }

        [BindProperty]
        public Partie Partie { get; set; }

        public async Task<IActionResult> OnGetAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            Partie = await _context.Partie.Include(p => p.Arbitre).Include(p => p.Jeu).Include(p => p.Evenement).Include(p => p.Participants).ThenInclude(participant => participant.User).FirstOrDefaultAsync(m => m.Id == id);
            Partie.Participants = Partie.Participants.Where(p => p.Etat != EtatInvitation.Rejected).ToList();

            if (Partie == null)
            {
                return NotFound();
            }

            return Page();
        }

        public async Task<IActionResult> OnPostStartChronoAsync(int? id)
        {

            if (id == null)
            {
                return NotFound();
            }

            Partie = await _context.Partie.Include(p => p.Arbitre).Include(p => p.Jeu).Include(p => p.Evenement).Include(p => p.Participants).ThenInclude(participant => participant.User).FirstOrDefaultAsync(m => m.Id == id);
            Partie.Participants = Partie.Participants.Where(p => p.Etat != EtatInvitation.Rejected).ToList();

            if (Partie == null)
            {
                return NotFound();
            }
            var isAuthorized = await _authorizationService.AuthorizeAsync(User, Partie, "EstArbitrePartie");
            if (!isAuthorized.Succeeded)
            {
                if (User.Identity.IsAuthenticated)
                {
                    return new ForbidResult();
                }
                else
                {
                    return new ChallengeResult();
                }
            }
            
            if (Partie.DateDebutChrono == DateTime.MinValue)
            {
                Partie.DateDebutChrono = DateTime.Now;
            }
            if (Partie.EtatChrono == EtatChrono.Paused && Partie.DateDebutPause != DateTime.MinValue)
            {
                Partie.NbSecondesPauseChrono += (DateTime.Now - Partie.DateDebutPause).TotalSeconds;
            }
            Partie.EtatChrono = EtatChrono.Started;

            _context.SaveChanges();

            return Page();
        }

        public async Task<IActionResult> OnPostPauseChronoAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            Partie = await _context.Partie.Include(p => p.Arbitre).Include(p => p.Jeu).Include(p => p.Evenement).Include(p => p.Participants).ThenInclude(participant => participant.User).FirstOrDefaultAsync(m => m.Id == id);
            Partie.Participants = Partie.Participants.Where(p => p.Etat != EtatInvitation.Rejected).ToList();

            if (Partie == null)
            {
                return NotFound();
            }

            var isAuthorized = await _authorizationService.AuthorizeAsync(User, Partie, "EstArbitrePartie");
            if (!isAuthorized.Succeeded)
            {
                if (User.Identity.IsAuthenticated)
                {
                    return new ForbidResult();
                }
                else
                {
                    return new ChallengeResult();
                }
            }

            Partie.DateDebutPause = DateTime.Now;
            Partie.EtatChrono = EtatChrono.Paused;

            _context.SaveChanges();

            return Page();
        }

        public async Task<IActionResult> OnPostDemarrerPartieAsync(int? id)
        {

            if (id == null)
            {
                return NotFound();
            }

            Partie = await _context.Partie.Include(p => p.Arbitre).Include(p => p.Jeu).Include(p => p.Evenement).Include(p => p.Participants).ThenInclude(participant => participant.User).FirstOrDefaultAsync(m => m.Id == id);

            if (Partie == null || Partie.Etat != EtatPartie.Created)
            {
                return NotFound();
            }
            var isAuthorized = await _authorizationService.AuthorizeAsync(User, Partie, "EstArbitrePartie");
            if (!isAuthorized.Succeeded)
            {
                if (User.Identity.IsAuthenticated)
                {
                    return new ForbidResult();
                }
                else
                {
                    return new ChallengeResult();
                }
            }

            Partie.Etat = EtatPartie.Started;
            Partie.DateDebut = DateTime.Now;

            _context.SaveChanges();

            //On modifie l'affichage
            Partie.Participants = Partie.Participants.Where(p => p.Etat != EtatInvitation.Rejected).ToList();

            return Page();
        }

        public async Task<IActionResult> OnPostRebootChronoAsync(int? id)
        {
            if (id == null)
            {
                return NotFound();
            }

            Partie = await _context.Partie.Include(p => p.Arbitre).Include(p => p.Jeu).Include(p => p.Evenement).Include(p => p.Participants).ThenInclude(participant => participant.User).FirstOrDefaultAsync(m => m.Id == id);
            Partie.Participants = Partie.Participants.Where(p => p.Etat != EtatInvitation.Rejected).ToList();

            if (Partie == null)
            {
                return NotFound();
            }

            var isAuthorized = await _authorizationService.AuthorizeAsync(User, Partie, "EstArbitrePartie");
            if (!isAuthorized.Succeeded)
            {
                if (User.Identity.IsAuthenticated)
                {
                    return new ForbidResult();
                }
                else
                {
                    return new ChallengeResult();
                }
            }

            Partie.DateDebutChrono = DateTime.Now;
            Partie.DateDebutPause = DateTime.MinValue;
            Partie.NbSecondesPauseChrono = 0;
            Partie.EtatChrono = EtatChrono.Started;

            _context.SaveChanges();

            return Page();
        }

    }
}

Orgatron/Pages/Parties/RepondreArbitrage.cshtml.cs
using System.Linq;
using System.Security.Claims;
using Microsoft.AspNetCore.Identity;
using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.EntityFrameworkCore;
using Orgatron.Models;
using Orgatron.Services;

namespace Orgatron.Pages.Parties
{
    public class RepondreArbitrageModel : PageModel
    {
        private readonly OrgatronContext _context;
        private readonly UserManager<IdentityUser> _userManager;
        private readonly PartieService _partieService;
        private string _message;

        public RepondreArbitrageModel(OrgatronContext context, UserManager<IdentityUser> userManager, PartieService partieService)
        {
            _context = context;
            _userManager = userManager;
            _partieService = partieService;
        }

        public string Message {
            get { return _message; }
        }

        public string IdEvenement { get; set; }


        public IActionResult OnGet(int? idPartie, string reponse)
        {
            if (idPartie == null || reponse == null)
            {
                return NotFound();
            }

            Partie invitation = _context.Partie.Include(p => p.Arbitre).Include(p => p.Evenement).Where(p => p.Id == idPartie).FirstOrDefault();

            bool autorisation = invitation != null && invitation.Arbitre.Id == User.FindFirst(ClaimTypes.NameIdentifier).Value;
            if (!autorisation)
            {
                if (User.Identity.IsAuthenticated)
                {
                    return new ForbidResult();
                }
                else
                {
                    return new ChallengeResult();
                }
            }
            bool success = false;

            if (reponse == "accept")
            {
                success = _partieService.RepondreArbitrage(invitation, _context, EtatInvitation.Accepted, out _message);
                if (success)
                {
                    return RedirectToPage("/Parties/Details", new { invitation.Id });
                }
            }
            else if (reponse == "deny")
            {
                success = _partieService.RepondreArbitrage(invitation, _context, EtatInvitation.Rejected, out _message);
                if (success)
                {
                    return RedirectToPage("/Evenements/Home", new { invitation.Evenement.Id });
                }
            }
            
           

            IdEvenement = invitation.Evenement.Id.ToString();

            return Page();
        }
    }
}

Orgatron/Pages/Parties/Creer.cshtml
@page
@model Orgatron.Pages.Parties.CreateModel

@{
	ViewData["Title"] = "Details";
}

    <div>
        <h4>Détails de la partie</h4>
        <hr />
        <form method="post" asp-page-handler="addPartie">
            <input type="hidden" asp-for="InputPartie.EvenementId" value="@(Request.Query["id"])" />
            <div asp-validation-summary="All" class="text-danger"></div>
            <div class="form-group">
                <label>Jeu</label>
                @Html.DropDownListFor(s => s.InputPartie.JeuId, new SelectList(Model.ListeJeux, "Value", "Text", @Model.ListeJeux.FirstOrDefault().Value), "Choisir")
            </div>
            <div class="form-group">
                <label>Etat</label>
                @Html.DropDownListFor(s => s.InputPartie.EtatPartie, new SelectList(new List<SelectListItem>
    {
                new SelectListItem { Text = Models.EtatPartie.Created.GetDescription(), Value = ((int)Models.EtatPartie.Created).ToString() },
                new SelectListItem { Text = Models.EtatPartie.Started.GetDescription(), Value = ((int)Models.EtatPartie.Started).ToString() },
                new SelectListItem { Text = Models.EtatPartie.Ended.GetDescription(), Value = ((int)Models.EtatPartie.Ended).ToString() },
                new SelectListItem { Text = Models.EtatPartie.Cancelled.GetDescription(), Value = ((int)Models.EtatPartie.Cancelled).ToString() },
                }, "Value", "Text", ((int)Models.EtatPartie.Ended).ToString()), "Choisir")
            </div>
            <div class="form-group">
                <label asp-for="InputPartie.DateDebut"></label>
                <input asp-for="InputPartie.DateDebut" class="form-control" value="@DateTime.MinValue" />
                <span asp-validation-for="InputPartie.DateDebut" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="InputPartie.DateFin"></label>
                <input asp-for="InputPartie.DateFin" class="form-control" value="@DateTime.MinValue" />
                <span asp-validation-for="InputPartie.DateFin" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label>Arbitre</label>
                @Html.DropDownListFor(s => s.InputPartie.UserId, new SelectList(Model.ListeJoueurs, "Value", "Text", @Model.ListeJoueurs.FirstOrDefault().Value), "Choisir")
            </div>
            <div class="form-group">
                <button type="submit" class="btn btn-primary">Creer</button>
            </div>
        </form>
    </div>

	<a asp-page="/Evenements/Historique">Retour</a>

Orgatron/Pages/Parties/Details.cshtml
@page
@model Orgatron.Pages.Parties.DetailsModel

@{
    ViewData["Title"] = "Details";
}

<div>
    @if (Model.Partie.EtatChrono != Models.EtatChrono.Created)
    {
        <h4>Chrono : </h4>
        @if (Model.Partie.EtatChrono == Models.EtatChrono.Paused)
        {
            <div id="chrono">@((Model.Partie.DateDebutPause - Model.Partie.DateDebutChrono.AddSeconds(Model.Partie.NbSecondesPauseChrono - 1)).ToString("m'm 's's'"))</div>
        }
        else
        {
            <div id="chrono">@((DateTime.Now - Model.Partie.DateDebutChrono.AddSeconds(Model.Partie.NbSecondesPauseChrono - 1)).ToString("m'm 's's'"))</div>
        }
    }

    @if (Model.Partie.Etat == Models.EtatPartie.Started && (await AuthorizationService.AuthorizeAsync(User, Model.Partie, "EstArbitrePartie")).Succeeded)
    {
        @if (Model.Partie.EtatChrono == Models.EtatChrono.Created)
        {
            <h4>Chrono : </h4>
        }

        <div class="row">
            @if (Model.Partie.EtatChrono == Models.EtatChrono.Paused || Model.Partie.EtatChrono == Models.EtatChrono.Created)
            {
                <div class="col-4">
                    <form asp-page-handler="StartChrono" method="post" asp-route-id="@Model.Partie.Id">
                        <button class="btn btn-default">Démarrer le chrono</button>
                    </form>
                </div>
            }

            @if (Model.Partie.EtatChrono == Models.EtatChrono.Started)
            {
                <div class="col-4">
                    <form asp-page-handler="PauseChrono" method="post" asp-route-id="@Model.Partie.Id">
                        <button class="btn btn-default">Pause / Stop</button>
                    </form>
                </div>
            }

            @if (Model.Partie.EtatChrono == Models.EtatChrono.Paused)
            {
                <div class="col-4">
                    <form asp-page-handler="RebootChrono" method="post" asp-route-id="@Model.Partie.Id">
                        <button class="btn btn-default">Remise à zéro</button>
                    </form>
                </div>
            }
        </div>


    }

    <h4>Détails de la partie</h4>
    <hr />
    <dl class="row">
        <dt class="col-sm-2">
            Nom du jeu
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Partie.Jeu.Nom)
        </dd>
        <dt class="col-sm-2">
            Etat
        </dt>
        @if (Model.Partie.Etat == Models.EtatPartie.Cancelled)
        {
            <dd class="col-sm-10 text-danger">
                @Model.Partie.Etat.GetDescription()
            </dd>
        }
        else
        {
            <dd class="col-sm-10">
                @Model.Partie.Etat.GetDescription()
            </dd>
        }
        <dt class="col-sm-2">
            @Html.DisplayNameFor(model => model.Partie.Jeu.Regles)
        </dt>
        <dd class="col-sm-10">
            <markdown markdown="@Model.Partie.Jeu.Regles" />
        </dd>
        @if (@Model.Partie.DateDebut != DateTime.MinValue)
        {
            <dt class="col-sm-2">
                @Html.DisplayNameFor(model => model.Partie.DateDebut)
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.Partie.DateDebut)
            </dd>
        }
        @if (@Model.Partie.DateFin != DateTime.MinValue)
        {
            <dt class="col-sm-2">
                @Html.DisplayNameFor(model => model.Partie.DateFin)
            </dt>
            <dd class="col-sm-10">
                @Html.DisplayFor(model => model.Partie.DateFin)
            </dd>
        }
        <dt class="col-sm-2">
            Arbitre
        </dt>
        <dd class="col-sm-10">
            @Html.DisplayFor(model => model.Partie.Arbitre.UserName)
            @if (Model.Partie.Etat == Models.EtatPartie.Created)
            {
                <a asp-page="/Parties/RepondreArbitrageAutreJoueur" asp-route-idPartie="@Model.Partie.Id"> désinscrire</a>
            }
        </dd>
    </dl>
</div>
<table class="table">
    <thead>
        <tr>
            <th>
                Joueurs
            </th>
            <th>
                @Html.DisplayNameFor(model => Model.Partie.Participants[0].Equipe)
            </th>
            @if (Model.Partie.Etat == Models.EtatPartie.Ended)
            {
                <th>
                    @Html.DisplayNameFor(model => Model.Partie.Participants[0].Points)
                </th>
            }
            @if (Model.Partie.Etat == Models.EtatPartie.Created || Model.Partie.Etat == Models.EtatPartie.Cancelled)
            {
                <th>
                    @Html.DisplayNameFor(model => Model.Partie.Participants[0].Etat)
                </th>
            }
        </tr>
    </thead>
    <tbody>
        @for (int i = 0; i < @Model.Partie.Participants.Count(); i++)
        {
            <tr>
                <td>
                    @Html.DisplayFor(model => Model.Partie.Participants[i].User.UserName)
                </td>
                <td>
                    @Html.DisplayFor(model => Model.Partie.Participants[i].Equipe)
                </td>
                @if (Model.Partie.Etat == Models.EtatPartie.Ended)
                {
                    <td>
                        @Html.DisplayFor(model => Model.Partie.Participants[i].Points)
                    </td>
                }
                @if (Model.Partie.Etat == Models.EtatPartie.Created || Model.Partie.Etat == Models.EtatPartie.Cancelled)
                {
                    <td>
                        @if (Model.Partie.Etat == Models.EtatPartie.Created)
                        {
                            <a asp-page="/Participants/RepondreInvitationAutreJoueur" asp-route-idInvitation="@Model.Partie.Participants[i].Id"> désinscrire</a>
                        }
                    </td>
                }
            </tr>
        }
    </tbody>
</table>
@if (Model.Partie.Etat == Models.EtatPartie.Created && (await AuthorizationService.AuthorizeAsync(User, Model.Partie, "EstArbitrePartie")).Succeeded)
{
    <h4>Tout le monde est là ? </h4>
    <form asp-page-handler="DemarrerPartie" method="post" asp-route-id="@Model.Partie.Id">
        <button class="btn btn-primary">Démarrer la partie</button>
    </form>
}


@if (Model.Partie.Etat == Models.EtatPartie.Started && (await AuthorizationService.AuthorizeAsync(User, Model.Partie, "EstArbitrePartie")).Succeeded)
{
    <a asp-page="/Parties/Score" asp-route-id="@Model.Partie.Id">
        <input type="button" class="btn btn-primary" value="Entrer les résultats" />
    </a>
}

@if ((await AuthorizationService.AuthorizeAsync(User, Model.Partie, "EstArbitrePartie")).Succeeded && Model.Partie.Etat == Models.EtatPartie.Ended)
{
    <a asp-page="/Parties/Score" asp-route-id="@Model.Partie.Id">
        <input type="button" class="btn btn-primary" value="Corriger les résultats" />
    </a>

}
@if ((await AuthorizationService.AuthorizeAsync(User, "AdminOnly")).Succeeded)
{
    <div>
        <a asp-page="/Parties/Modifier" asp-route-id="@Model.Partie.Id">
            <input type="button" class="btn btn-primary" value="Modifier" />
        </a>
    </div>
}
<a asp-page="/Evenements/Home" asp-route-id="@Model.Partie.Evenement.Id">Retour</a>

@if (Model.Partie.EtatChrono != Models.EtatChrono.Paused)
{
    <script>

	// Set the starting gate
	var begining = new Date('@Model.Partie.DateDebutChrono.AddSeconds(Model.Partie.NbSecondesPauseChrono).ToString("s")').getTime();

	var decalage = new Date('@DateTime.Now.ToString("s")').getTime() - new Date().getTime();

	// Update the count down every 1 second
	var x = setInterval(function () {

		// Get todays date and time
		var now = new Date().getTime();

		// Find the distance between now and the count down date
		var distance = now - begining - decalage;

		// Time calculations for days, hours, minutes and seconds
		var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
		var seconds = Math.floor((distance % (1000 * 60)) / 1000);

		// Display the result in the element with id="demo"
		document.getElementById("chrono").innerHTML = minutes + "m " + seconds + "s ";

	}, 1000);
    </script>
}
else
{
    <script>
		var begining = new Date('@Model.Partie.DateDebutChrono.AddSeconds(Model.Partie.NbSecondesPauseChrono).ToString("s")').getTime();

		var pause = new Date('@Model.Partie.DateDebutPause.ToString("s")').getTime();

		// Find the distance between now and the count down date
		var distance = pause - begining

		// Time calculations for days, hours, minutes and seconds
		var minutes = Math.floor((distance % (1000 * 60 * 60)) / (1000 * 60));
		var seconds = Math.floor((distance % (1000 * 60)) / 1000);

		// Display the result in the element with id="demo"
		document.getElementById("chrono").innerHTML = minutes + "m " + seconds + "s ";
    </script>
}

Orgatron/Pages/Parties/RepondreArbitrage.cshtml
@page
@model Orgatron.Pages.Parties.RepondreArbitrageModel

@{
    ViewData["Title"] = "RepondreArbitrage";
}

<h1>@Model.Message</h1>

<a asp-page="/Evenements/Home" asp-route-id="@Model.IdEvenement">Retour</a>

Orgatron/Pages/Parties/RepondreArbitrageAutreJoueur.cshtml
@page
@model Orgatron.Pages.Parties.RepondreArbitrageAutreJoueurModel

@{
    ViewData["Title"] = "RepondreArbitrageAutreJoueur";
}

<form method="post">
	<div asp-validation-summary="All" class="text-danger"></div>
	<div class="form-group">
		<label>Laissez-lui rentrer son mot de passe</label>
		<input asp-for="Input.Password" class="form-control" />
		<span asp-validation-for="Input.Password" class="text-danger"></span>
	</div>
	<button type="submit" class="btn btn-primary">Désinscrire</button>
</form>

@if(Model.Message != null)
{
<h1>@Model.Message</h1>
}

<a asp-page="/Parties/Details" asp-route-id="@Model.IdPartie">Retour</a>